import java.io.*;
public class BaseConverter 
{
	public static void main(String[] args) throws IOException
	{
		String base, output;
		int input;
		BufferedReader stdin =
			new BufferedReader(new InputStreamReader(System.in));
		System.out.print("Enter an integer in base 10:");
		input = Integer.parseInt(stdin.readLine());
		System.out.println("Convert "+input+" to?");
		System.out.println("----------------------");
		System.out.println("B or b for binary");
		System.out.println("O or o for octal");
		System.out.println("H or h for hexadecimal");
		System.out.println("----------------------");
		System.out.print(":");
		base = stdin.readLine();
		if(base.length()>1){
			System.out.println("Invalid choice.");
		}else{
			switch(base.charAt(0)){
				case 'B': case 'b':
					output = Integer.toBinaryString(input);
					break;
				case 'O': case 'o':
					output = Integer.toOctalString(input);
					break;
				case 'H': case 'h':
					output = Integer.toHexString(input);
					break;
				default:
					output = "Invalid choice.";
			}
			System.out.println(output);
		}
	}
}
