import java.io.*;
public class GuessGame
{
	public static void main(String[] args) throws IOException
	{
		int x=0, y=0, target, nTrial=0, guess;
		boolean validBound = false;
		boolean notCorrect = true;
		String comparison;

		BufferedReader stdin = new BufferedReader(new InputStreamReader(System.in));
		System.out.println("\nGuess an integer in the range of X to Y");
		System.out.println("-----------------------------------------");

		while(!validBound){
			System.out.print("First, enter an integer for X : ");
			x = Integer.parseInt(stdin.readLine());
			System.out.print("Then, enter an integer for Y : ");
			y = Integer.parseInt(stdin.readLine());
			if(y>x){
				validBound = true;
			}else{
				System.out.println("-- !! Y must be greater than X.");
			}	
		}

		target = (int)Math.round(x+Math.random()*(y-x));
		
		System.out.println("....");
		System.out.println("A random integer from "+x+" to "+y+" was created.");
		System.out.println("Guess it!");
		System.out.println("-----------------------------------------");

		while(notCorrect){
			nTrial++;
			System.out.print("\nTrial #"+nTrial+"-->");
			guess = Integer.parseInt(stdin.readLine());
			if(guess == target){
				notCorrect = false;
				System.out.println("-- Yes! You've got it right!");
			}else{
				comparison = (guess>target)? "big.":"small.";
				System.out.println("-- Your guess is too "+comparison);
			}
		}

		System.out.println("-----------------------------------------");
		System.out.println(nTrial+" attempts used.");

	}
}
